### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
RandomDefaultModel Class Reference

Base class for random default models. More...

`#include <ql/experimental/credit/randomdefaultmodel.hpp>`

Inheritance diagram for RandomDefaultModel:
[legend]

List of all members.

## Public Member Functions

| RandomDefaultModel (boost::shared_ptr< Pool > pool, const std::vector< DefaultProbKey > &defaultKeys)
virtual void | nextSequence (Real tmax=QL_MAX_REAL)=0
virtual void | reset ()=0

## Protected Attributes

boost::shared_ptr< Pool > | pool_
std::vector< DefaultProbKey > | defaultKeys_

## Detailed Description

Base class for random default models.

Provides sequences of random default times for each name in the pool.

## Member Function Documentation

virtual void nextSequence | ( | Real | tmax = `QL_MAX_REAL` | ) | `[pure virtual]`

Generate a sequence of random default times, one for each name in the pool, and store the result in the Pool using method setTime(name). tmax denotes the maximum relevant time- default times > tmax are not computed but set to tmax + 1 instead to save coputation time.

Implemented in GaussianRandomDefaultModel.